org.keycloak.dom.saml.v2.protocol

## Class ScopingType

- java.lang.Object
- - org.keycloak.dom.saml.v2.protocol.ScopingType

-     public class ScopingType
      extends Object

  Java class for ScopingType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="ScopingType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element ref="{urn:oasis:names:tc:SAML:2.0:protocol}IDPList" minOccurs="0"/>
               <element ref="{urn:oasis:names:tc:SAML:2.0:protocol}RequesterID" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
             <attribute name="ProxyCount" type="{http://www.w3.org/2001/XMLSchema}nonNegativeInteger" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected IDPListType` | `idpList`
    `protected BigInteger` | `proxyCount`
    `protected List<URI>` | `requesterID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScopingType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addRequesterID(URI uri)` Add requester id
    `IDPListType` | `getIDPList()` Gets the value of the idpList property.
    `BigInteger` | `getProxyCount()` Gets the value of the proxyCount property.
    `List<URI>` | `getRequesterID()` Gets the value of the requesterID property.
    `void` | `removeRequesterID(URI uri)` Remove requester id
    `void` | `setIDPList(IDPListType value)` Sets the value of the idpList property.
    `void` | `setProxyCount(BigInteger value)` Sets the value of the proxyCount property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### idpList

          protected IDPListType idpList

    - #### requesterID

          protected List<URI> requesterID

    - #### proxyCount

          protected BigInteger proxyCount

  - ### Constructor Detail

    - #### ScopingType

          public ScopingType()

  - ### Method Detail

    - #### getIDPList

          public IDPListType getIDPList()

      Gets the value of the idpList property.
      Returns:
        possible object is `IDPListType`

    - #### setIDPList

          public void setIDPList(IDPListType value)

      Sets the value of the idpList property.
      Parameters:
        `value` - allowed object is `IDPListType`

    - #### getRequesterID

          public List<URI> getRequesterID()

      Gets the value of the requesterID property.

      For example, to add a new item, do as follows:

           getRequesterID().add(newItem);

      Objects of the following type(s) are allowed in the list `String`

    - #### addRequesterID

          public void addRequesterID(URI uri)

      Add requester id
      Parameters:
        `uri` -

    - #### removeRequesterID

          public void removeRequesterID(URI uri)

      Remove requester id
      Parameters:
        `uri` -

    - #### getProxyCount

          public BigInteger getProxyCount()

      Gets the value of the proxyCount property.
      Returns:
        possible object is `BigInteger`

    - #### setProxyCount

          public void setProxyCount(BigInteger value)

      Sets the value of the proxyCount property.
      Parameters:
        `value` - allowed object is `BigInteger`

Copyright © 2021 JBoss by Red Hat. All rights reserved.